Home | All Classes | Grouped Classes | Index | Search

# Class CL_ComponentManager

Manages components loaded from a gui definition file. More...

Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

Construction:

CL_ComponentManager | Constructs a component manager.

Attributes:

get_component | Returns the component identified by the specified name in the gui definition file.
get_style_manager |

Detailed description:

!group=GUI/Framework! !header=gui.h!

The component manager is responsible for loading a set of components from a gui definition file (for an example of such a file, have a look at the login_view in the CTalk example). After a successful construction of a component manager, it is possible get pointers to components defined in the definition file, thus making it easy to seperate component layout from the user interface logic.

Questions or comments, write to the ClanLib mailing list.